Index: squid/src/store_rebuild.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/store_rebuild.c,v
retrieving revision 1.6.16.1
retrieving revision 1.6.16.2
diff -u -r1.6.16.1 -r1.6.16.2
--- squid/src/store_rebuild.c	14 Mar 2001 22:17:34 -0000	1.6.16.1
+++ squid/src/store_rebuild.c	19 Oct 2001 19:05:10 -0000	1.6.16.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_rebuild.c,v 1.6.16.1 2001/03/14 22:17:34 rbcollins Exp $
+ * $Id: store_rebuild.c,v 1.6.16.2 2001/10/19 19:05:10 serassio Exp $
  *
  * DEBUG: section 20    Store Rebuild Routines
  * AUTHOR: Duane Wessels
@@ -172,24 +172,24 @@
  * progress.
  */
 void
-storeRebuildProgress(int index, int total, int sofar)
+storeRebuildProgress(int sd_index, int total, int sofar)
 {
     static time_t last_report = 0;
     double n = 0.0;
     double d = 0.0;
-    if (index < 0)
+    if (sd_index < 0)
 	return;
-    if (index >= Config.cacheSwap.n_configured)
+    if (sd_index >= Config.cacheSwap.n_configured)
 	return;
     if (NULL == RebuildProgress)
 	return;
-    RebuildProgress[index].total = total;
-    RebuildProgress[index].scanned = sofar;
+    RebuildProgress[sd_index].total = total;
+    RebuildProgress[sd_index].scanned = sofar;
     if (squid_curtime - last_report < 15)
 	return;
-    for (index = 0; index < Config.cacheSwap.n_configured; index++) {
-	n += (double) RebuildProgress[index].scanned;
-	d += (double) RebuildProgress[index].total;
+    for (sd_index = 0; sd_index < Config.cacheSwap.n_configured; sd_index++) {
+	n += (double) RebuildProgress[sd_index].scanned;
+	d += (double) RebuildProgress[sd_index].total;
     }
     debug(20, 1) ("Store rebuilding is %4.1f%% complete\n", 100.0 * n / d);
     last_report = squid_curtime;
Index: squid/src/structs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/structs.h,v
retrieving revision 1.12.2.11
retrieving revision 1.12.2.12
diff -u -r1.12.2.11 -r1.12.2.12
--- squid/src/structs.h	30 Sep 2001 20:38:14 -0000	1.12.2.11
+++ squid/src/structs.h	19 Oct 2001 19:05:10 -0000	1.12.2.12
@@ -1,6 +1,6 @@
 
 /*
- * $Id: structs.h,v 1.12.2.11 2001/09/30 20:38:14 serassio Exp $
+ * $Id: structs.h,v 1.12.2.12 2001/10/19 19:05:10 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -31,6 +31,9 @@
  *
  */
 
+#ifndef SQUID_STRUCTS_H
+#define SQUID_STRUCTS_H
+
 #include "config.h"
 #include "splay.h"
 
@@ -257,6 +260,18 @@
     acl_access *next;
 };
 
+struct _acl_address {
+    acl_address *next;
+    acl_list *acl_list;
+    struct in_addr addr;
+};
+
+struct _acl_tos {
+    acl_tos *next;
+    acl_list *acl_list;
+    int tos;
+};
+
 struct _aclCheck_t {
     const acl_access *access_list;
     struct in_addr src_addr;
@@ -487,7 +502,6 @@
 	u_short port;
     } Announce;
     struct {
-	struct in_addr tcp_outgoing;
 	struct in_addr udp_incoming;
 	struct in_addr udp_outgoing;
 #if SQUID_SNMP
@@ -586,6 +600,8 @@
 #endif
 	acl_access *redirector;
 	acl_access *reply;
+	acl_address *outgoing_address;
+	acl_tos *outgoing_tos;
     } accessList;
     acl_deny_info_list *denyInfoList;
     struct _authConfig {
@@ -730,6 +746,8 @@
     unsigned int type;
     u_short local_port;
     u_short remote_port;
+    struct in_addr local_addr;
+    unsigned char tos;
     char ipaddr[16];		/* dotted decimal address of peer */
     char desc[FD_DESC_SZ];
     struct {
@@ -742,6 +760,8 @@
 	unsigned int nonblocking:1;
 	unsigned int ipc:1;
 	unsigned int called_connect:1;
+	unsigned int nodelay:1;
+	unsigned int close_on_exec:1;
     } flags;
     int bytes_read;
     int bytes_written;
@@ -1481,15 +1501,17 @@
     hash_link hash;		/* must be first */
     MemObject *mem_obj;
     RemovalPolicyNode repl;
+    /* START OF ON-DISK STORE_META_STD TLV field */
     time_t timestamp;
     time_t lastref;
     time_t expires;
     time_t lastmod;
     size_t swap_file_sz;
-    sfileno swap_filen:25;
-    sdirno swap_dirn:7;
     u_short refcount;
     u_short flags;
+    /* END OF ON-DISK STORE_META_STD */
+    sfileno swap_filen:25;
+    sdirno swap_dirn:7;
     u_short lock_count;		/* Assume < 65536! */
     mem_status_t mem_status:3;
     ping_status_t ping_status:3;
@@ -2135,3 +2157,5 @@
     void (*parse) (SwapDir * sd, const char *option, const char *value, int reconfiguring);
     void (*dump) (StoreEntry * e, const char *option, SwapDir * sd);
 };
+
+#endif /* SQUID_STRUCTS_H */
Index: squid/src/typedefs.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/typedefs.h,v
retrieving revision 1.4.16.7
retrieving revision 1.4.16.8
diff -u -r1.4.16.7 -r1.4.16.8
--- squid/src/typedefs.h	12 Aug 2001 16:15:02 -0000	1.4.16.7
+++ squid/src/typedefs.h	19 Oct 2001 19:05:10 -0000	1.4.16.8
@@ -1,6 +1,6 @@
 
 /*
- * $Id: typedefs.h,v 1.4.16.7 2001/08/12 16:15:02 serassio Exp $
+ * $Id: typedefs.h,v 1.4.16.8 2001/10/19 19:05:10 serassio Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -31,8 +31,8 @@
  *
  */
 
-#ifndef _TYPEDEFS_H_
-#define _TYPEDEFS_H_
+#ifndef SQUID_TYPEDEFS_H
+#define SQUID_TYPEDEFS_H
 
 typedef unsigned int store_status_t;
 typedef unsigned int mem_status_t;
@@ -75,6 +75,8 @@
 typedef struct _acl_snmp_comm acl_snmp_comm;
 typedef struct _acl_list acl_list;
 typedef struct _acl_access acl_access;
+typedef struct _acl_address acl_address;
+typedef struct _acl_tos acl_tos;
 typedef struct _aclCheck_t aclCheck_t;
 typedef struct _wordlist wordlist;
 typedef struct _intlist intlist;
@@ -358,4 +360,4 @@
 
 typedef int STDIRSELECT(const StoreEntry *);
 
-#endif /* _TYPEDEFS_H_ */
+#endif /* SQUID_TYPEDEFS_H */
Index: squid/src/auth/basic/helpers/LDAP/squid_ldap_auth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/basic/helpers/LDAP/Attic/squid_ldap_auth.c,v
retrieving revision 1.2.30.7
retrieving revision 1.2.30.8
diff -u -r1.2.30.7 -r1.2.30.8
--- squid/src/auth/basic/helpers/LDAP/squid_ldap_auth.c	30 Sep 2001 20:38:14 -0000	1.2.30.7
+++ squid/src/auth/basic/helpers/LDAP/squid_ldap_auth.c	19 Oct 2001 19:05:14 -0000	1.2.30.8
@@ -1,5 +1,4 @@
 /*
- * 
  * squid_ldap_auth: authentication via ldap for squid proxy server
  * 
  * Maintainer: Henrik Nordstrom <hno@squid-cache.org>
@@ -12,7 +11,7 @@
  * 
  * Usage: squid_ldap_auth -b basedn [-s searchscope]
  *                        [-f searchfilter] [-D binddn -w bindpasswd]
- *                        [-u attr] [-p] [-R] <ldap_server_name>
+ *                        [-u attr] [-h host] [-p port] [-P] [-R] [ldap_server_name[:port]] ...
  * 
  * Dependencies: You need to get the OpenLDAP libraries
  * from http://www.openldap.org
@@ -23,6 +22,13 @@
  * or (at your option) any later version.
  *
  * Changes:
+ * 2001-10-04: Henrik Nordstrom <hno@squid-cache.org>
+ *             - Be consistent with the other helpers in how
+ *               spaces are managed. If there is space characters
+ *               then these are assumed to be part of the password
+ * 2001-09-05: Henrik Nordstrom <hno@squid-cache.org>
+ *             - Added ability to specify another default LDAP port to
+ *               connect to. Persistent connections moved to -P
  * 2001-05-02: Henrik Nordstrom <hno@squid-cache.org>
  *             - Support newer OpenLDAP 2.x libraries using the
  *               revised Internet Draft API which unfortunately
@@ -45,7 +51,6 @@
 #include <string.h>
 #include <stdlib.h>
 #include <lber.h>
-#include <ldap_cdefs.h>
 #include <ldap.h>
 
 /* Change this to your search base */
@@ -64,19 +69,19 @@
 /* Yuck.. we need to glue to different versions of the API */
 
 #if defined(LDAP_API_VERSION) && LDAP_API_VERSION > 1823
-static int 
+static int
 squid_ldap_errno(LDAP * ld)
 {
     int err = 0;
     ldap_get_option(ld, LDAP_OPT_ERROR_NUMBER, &err);
     return err;
 }
-static void 
+static void
 squid_ldap_set_aliasderef(LDAP * ld, int deref)
 {
     ldap_set_option(ld, LDAP_OPT_DEREF, &deref);
 }
-static void 
+static void
 squid_ldap_set_referrals(LDAP * ld, int referrals)
 {
     int *value = referrals ? LDAP_OPT_ON : LDAP_OPT_OFF;
@@ -84,17 +89,17 @@
 }
 
 #else
-static int 
+static int
 squid_ldap_errno(LDAP * ld)
 {
     return ld->ld_errno;
 }
-static void 
+static void
 squid_ldap_set_aliasderef(LDAP * ld, int deref)
 {
     ld->ld_deref = deref;
 }
-static void 
+static void
 squid_ldap_set_referrals(LDAP * ld, int referrals)
 {
     if (referrals)
@@ -108,15 +113,15 @@
 main(int argc, char **argv)
 {
     char buf[256];
-    char *user, *passwd, *p;
-    char *ldapServer;
+    char *user, *passwd;
+    char *ldapServer = NULL;
     LDAP *ld = NULL;
     int tryagain;
     int port = LDAP_PORT;
 
     setbuf(stdout, NULL);
 
-    while (argc > 2 && argv[1][0] == '-') {
+    while (argc > 1 && argv[1][0] == '-') {
 	char *value = "";
 	char option = argv[1][1];
 	switch (option) {
@@ -124,7 +129,7 @@
 	case 'R':
 	    break;
 	default:
-	    if (strlen(argv[1]) > 2) {
+	    if (strlen(argv[1]) > 2 || argc <= 2) {
 		value = argv[1] + 2;
 	    } else {
 		value = argv[2];
@@ -136,6 +141,17 @@
 	argv++;
 	argc--;
 	switch (option) {
+	case 'h':
+	    if (ldapServer) {
+		int len = strlen(ldapServer) + 1 + strlen(value) + 1;
+		char *newhost = malloc(len);
+		snprintf(newhost, len, "%s %s", ldapServer, value);
+		free(ldapServer);
+		ldapServer = newhost;
+	    } else {
+		ldapServer = strdup(value);
+	    }
+	    break;
 	case 'b':
 	    basedn = value;
 	    break;
@@ -192,15 +208,34 @@
 	}
     }
 
-    if (!basedn || argc != 2) {
-	fprintf(stderr, "Usage: squid_ldap_auth [options] ldap_server_name\n\n");
+    while (argc > 1 && argv[1][0] == '-') {
+	char *value = argv[1];
+	if (ldapServer) {
+	    int len = strlen(ldapServer) + 1 + strlen(value) + 1;
+	    char *newhost = malloc(len);
+	    snprintf(newhost, len, "%s %s", ldapServer, value);
+	    free(ldapServer);
+	    ldapServer = newhost;
+	} else {
+	    ldapServer = strdup(value);
+	}
+	argc--;
+	argv++;
+    }
+    if (!ldapServer)
+	ldapServer = "localhost";
+
+    if (!basedn) {
+	fprintf(stderr, "Usage: squid_ldap_auth -b basedn [options] [ldap_server_name[:port]]...\n\n");
 	fprintf(stderr, "\t-b basedn (REQUIRED)\tbase dn under which to search\n");
 	fprintf(stderr, "\t-f filter\t\tsearch filter to locate user DN\n");
 	fprintf(stderr, "\t-u userattr\t\tusername DN attribute\n");
 	fprintf(stderr, "\t-s base|one|sub\t\tsearch scope\n");
 	fprintf(stderr, "\t-D binddn\t\tDN to bind as to perform searches\n");
 	fprintf(stderr, "\t-w bindpasswd\t\tpassword for binddn\n");
-	fprintf(stderr, "\t-p\t\t\tpersistent LDAP connection\n");
+	fprintf(stderr, "\t-h server\t\tLDAP server (defaults to localhost)\n");
+	fprintf(stderr, "\t-p port\t\t\tLDAP server port\n");
+	fprintf(stderr, "\t-P\t\t\tpersistent LDAP connection\n");
 	fprintf(stderr, "\t-R\t\t\tdo not follow referrals\n");
 	fprintf(stderr, "\t-a never|always|search|find\n\t\t\t\twhen to dereference aliases\n");
 	fprintf(stderr, "\n");
@@ -208,20 +243,14 @@
 	fprintf(stderr, "\tIf you need to bind as a user to perform searches then use the\n\t-D binddn -w bindpasswd options\n\n");
 	exit(1);
     }
-    ldapServer = (char *) argv[1];
-
     while (fgets(buf, 256, stdin) != NULL) {
-	if ((p = strchr(buf, '\n')) != NULL)
-	    *p = '\0';		/* strip \n */
-	if ((p = strchr(buf, '\r')) != NULL)
-	    *p = '\0';		/* strip \r */
+	user = strtok(buf, " \r\n");
+	passwd = strtok(NULL, "\r\n");
 
-	user = buf;
-	if ((passwd = strrchr(buf, ' ')) == NULL) {
+	if (!user || !passwd || !passwd[0]) {
 	    printf("ERR\n");
 	    continue;
 	}
-	*passwd++ = '\0';	/* Cut in username,password */
 	tryagain = 1;
       recover:
 	if (ld == NULL) {
Index: squid/src/auth/digest/auth_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/digest/auth_digest.c,v
retrieving revision 1.1.16.3
retrieving revision 1.1.16.4
diff -u -r1.1.16.3 -r1.1.16.4
--- squid/src/auth/digest/auth_digest.c	30 Sep 2001 20:38:14 -0000	1.1.16.3
+++ squid/src/auth/digest/auth_digest.c	19 Oct 2001 19:05:14 -0000	1.1.16.4
@@ -42,6 +42,8 @@
 #include "rfc2617.h"
 #include "auth_digest.h"
 
+extern AUTHSSETUP authSchemeSetup_digest;
+
 static void
 authenticateStateFree(authenticateStateData * r)
 {
@@ -80,9 +82,9 @@
 static auth_digest_config *digestConfig = NULL;
 
 static int authdigest_initialised = 0;
-MemPool *digest_user_pool = NULL;
-MemPool *digest_request_pool = NULL;
-MemPool *digest_nonce_pool = NULL;
+static MemPool *digest_user_pool = NULL;
+static MemPool *digest_request_pool = NULL;
+static MemPool *digest_nonce_pool = NULL;
 
 CBDATA_TYPE(authenticateStateData);
 
@@ -94,23 +96,25 @@
 
 static void authenticateDigestNonceCacheCleanup(void *data);
 static digest_nonce_h *authenticateDigestNonceFindNonce(const char *nonceb64);
-digest_nonce_h *authenticateDigestNonceNew();
-void authenticateDigestNonceDelete(digest_nonce_h * nonce);
-void authenticateDigestNonceSetup();
-void authenticateDigestNonceShutdown();
-void authenticateDigestNonceReconfigure();
-const char *authenticateDigestNonceNonceb64(digest_nonce_h * nonce);
-int authDigestNonceIsValid(digest_nonce_h * nonce, char nc[9]);
-int authDigestNonceIsStale(digest_nonce_h * nonce);
-void authDigestNonceEncode(digest_nonce_h * nonce);
-int authDigestNonceLastRequest(digest_nonce_h * nonce);
-void authDigestNonceLink(digest_nonce_h * nonce);
-void authDigestNonceUnlink(digest_nonce_h * nonce);
-int authDigestNonceLinks(digest_nonce_h * nonce);
-void authDigestNonceUserUnlink(digest_nonce_h * nonce);
-void authDigestNoncePurge(digest_nonce_h * nonce);
+static digest_nonce_h *authenticateDigestNonceNew();
+static void authenticateDigestNonceDelete(digest_nonce_h * nonce);
+static void authenticateDigestNonceSetup();
+static void authenticateDigestNonceShutdown();
+static void authenticateDigestNonceReconfigure();
+static const char *authenticateDigestNonceNonceb64(digest_nonce_h * nonce);
+static int authDigestNonceIsValid(digest_nonce_h * nonce, char nc[9]);
+static int authDigestNonceIsStale(digest_nonce_h * nonce);
+static void authDigestNonceEncode(digest_nonce_h * nonce);
+static int authDigestNonceLastRequest(digest_nonce_h * nonce);
+static void authDigestNonceLink(digest_nonce_h * nonce);
+static void authDigestNonceUnlink(digest_nonce_h * nonce);
+#if NOT_USED
+static int authDigestNonceLinks(digest_nonce_h * nonce);
+#endif
+static void authDigestNonceUserUnlink(digest_nonce_h * nonce);
+static void authDigestNoncePurge(digest_nonce_h * nonce);
 
-void
+static void
 authDigestNonceEncode(digest_nonce_h * nonce)
 {
     if (!nonce)
@@ -120,7 +124,7 @@
     nonce->hash.key = xstrdup(base64_encode_bin((char *) &(nonce->noncedata), sizeof(digest_nonce_data)));
 }
 
-digest_nonce_h *
+static digest_nonce_h *
 authenticateDigestNonceNew()
 {
     digest_nonce_h *newnonce = memPoolAlloc(digest_nonce_pool);
@@ -190,7 +194,7 @@
     return newnonce;
 }
 
-void
+static void
 authenticateDigestNonceDelete(digest_nonce_h * nonce)
 {
     if (nonce) {
@@ -205,7 +209,7 @@
     }
 }
 
-void
+static void
 authenticateDigestNonceSetup()
 {
     if (!digest_nonce_pool)
@@ -217,7 +221,7 @@
     }
 }
 
-void
+static void
 authenticateDigestNonceShutdown()
 {
     /* 
@@ -240,12 +244,12 @@
     debug(29, 2) ("authenticateDigestNonceShutdown: Nonce cache shutdown\n");
 }
 
-void
+static void
 authenticateDigestNonceReconfigure()
 {
 }
 
-void
+static void
 authenticateDigestNonceCacheCleanup(void *data)
 {
     /*
@@ -277,7 +281,7 @@
 	eventAdd("Digest none cache maintenance", authenticateDigestNonceCacheCleanup, NULL, digestConfig->nonceGCInterval, 1);
 }
 
-void
+static void
 authDigestNonceLink(digest_nonce_h * nonce)
 {
     assert(nonce != NULL);
@@ -285,15 +289,17 @@
     debug(29, 9) ("authDigestNonceLink: nonce '%d' now at '%d'.\n", nonce, nonce->references);
 }
 
-int
+#if NOT_USED
+static int
 authDigestNonceLinks(digest_nonce_h * nonce)
 {
     if (!nonce)
 	return -1;
     return nonce->references;
 }
+#endif
 
-void
+static void
 authDigestNonceUnlink(digest_nonce_h * nonce)
 {
     assert(nonce != NULL);
@@ -307,7 +313,7 @@
 	authenticateDigestNonceDelete(nonce);
 }
 
-const char *
+static const char *
 authenticateDigestNonceNonceb64(digest_nonce_h * nonce)
 {
     if (!nonce)
@@ -315,7 +321,7 @@
     return nonce->hash.key;
 }
 
-digest_nonce_h *
+static digest_nonce_h *
 authenticateDigestNonceFindNonce(const char *nonceb64)
 {
     digest_nonce_h *nonce = NULL;
@@ -329,7 +335,7 @@
     return nonce;
 }
 
-int
+static int
 authDigestNonceIsValid(digest_nonce_h * nonce, char nc[9])
 {
     int intnc;
@@ -351,7 +357,7 @@
     return -1;
 }
 
-int
+static int
 authDigestNonceIsStale(digest_nonce_h * nonce)
 {
     /* do we have a nonce ? */
@@ -378,7 +384,7 @@
 }
 
 /* return -1 if the digest will be stale on the next request */
-int
+static int
 authDigestNonceLastRequest(digest_nonce_h * nonce)
 {
     if (!nonce)
@@ -395,7 +401,7 @@
     return 0;
 }
 
-void
+static void
 authDigestNoncePurge(digest_nonce_h * nonce)
 {
     if (!nonce)
@@ -411,13 +417,15 @@
 /* USER related functions */
 
 
-int
+#if NOT_USED
+static int
 authDigestUsercmpname(digest_user_h * u1, digest_user_h * u2)
 {
     return strcmp(u1->username, u2->username);
 }
+#endif
 
-auth_user_t *
+static auth_user_t *
 authDigestUserFindUsername(const char *username)
 {
     auth_user_hash_pointer *usernamehash;
@@ -436,20 +444,20 @@
     return NULL;
 }
 
-digest_user_h *
+static digest_user_h *
 authDigestUserNew()
 {
     return memPoolAlloc(digest_user_pool);
 }
 
-void
+static void
 authDigestUserSetup()
 {
     if (!digest_user_pool)
 	digest_user_pool = memPoolCreate("Digest Scheme User Data", sizeof(digest_user_h));
 }
 
-void
+static void
 authDigestUserShutdown()
 {
     /*
@@ -476,7 +484,7 @@
 /* request related functions */
 
 /* delete the digest reuqest structure. Does NOT delete related structures */
-void
+static void
 authDigestRequestDelete(digest_request_h * digest_request)
 {
     if (digest_request->nonceb64)
@@ -502,14 +510,14 @@
     memPoolFree(digest_request_pool, digest_request);
 }
 
-void
+static void
 authDigestAURequestFree(auth_user_request_t * auth_user_request)
 {
     if (auth_user_request->scheme_data != NULL)
 	authDigestRequestDelete((digest_request_h *) auth_user_request->scheme_data);
 }
 
-digest_request_h *
+static digest_request_h *
 authDigestRequestNew()
 {
     digest_request_h *tmp;
@@ -518,14 +526,14 @@
     return tmp;
 }
 
-void
+static void
 authDigestRequestSetup()
 {
     if (!digest_request_pool)
 	digest_request_pool = memPoolCreate("Digest Scheme Request Data", sizeof(digest_request_h));
 }
 
-void
+static void
 authDigestRequestShutdown()
 {
     /* No requests should be in progress when we get here */
@@ -537,7 +545,7 @@
 }
 
 
-void
+static void
 authDigestDone(void)
 {
     if (digestauthenticators)
@@ -605,12 +613,12 @@
     authscheme->authConnLastHeader = NULL;
 }
 
-int
+static int
 authenticateDigestActive()
 {
     return (authdigest_initialised == 1) ? 1 : 0;
 }
-int
+static int
 authDigestConfigured()
 {
     if ((digestConfig != NULL) && (digestConfig->authenticate != NULL) &&
@@ -620,7 +628,7 @@
     return 0;
 }
 
-int
+static int
 authDigestAuthenticated(auth_user_request_t * auth_user_request)
 {
     digest_user_h *digest_user = auth_user_request->auth_user->scheme_data;
@@ -649,11 +657,10 @@
     assert(auth_user->scheme_data != NULL);
     digest_user = auth_user->scheme_data;
 
-     /* if the check has corrupted the user, just return */
+    /* if the check has corrupted the user, just return */
     if (digest_user->flags.credentials_ok == 3) {
 	return;
     }
-
     assert(auth_user_request->scheme_data != NULL);
     digest_request = auth_user_request->scheme_data;
 
@@ -701,7 +708,7 @@
     return;
 }
 
-int
+static int
 authenticateDigestDirection(auth_user_request_t * auth_user_request)
 {
     digest_request_h *digest_request;
@@ -725,7 +732,7 @@
 }
 
 /* add the [proxy]authorisation header */
-void
+static void
 authDigestAddHeader(auth_user_request_t * auth_user_request, HttpReply * rep, int accel)
 {
     int type;
@@ -754,7 +761,7 @@
 
 #if WAITING_FOR_TE
 /* add the [proxy]authorisation header */
-void
+static void
 authDigestAddTrailer(auth_user_request_t * auth_user_request, HttpReply * rep, int accel)
 {
     int type;
@@ -796,7 +803,7 @@
     }
 }
 
-void
+static void
 authenticateDigestUserFree(auth_user_t * auth_user)
 {
     digest_user_h *digest_user = auth_user->scheme_data;
@@ -944,7 +951,7 @@
 
 /* NonceUserUnlink: remove the reference to auth_user and unlink the node from the list */
 
-void
+static void
 authDigestNonceUserUnlink(digest_nonce_h * nonce)
 {
     digest_user_h *digest_user;
@@ -976,7 +983,7 @@
 
 /* authDigestUserLinkNonce: add a nonce to a given user's struct */
 
-void
+static void
 authDigestUserLinkNonce(auth_user_t * auth_user, digest_nonce_h * nonce)
 {
     dlink_node *node;
@@ -1003,7 +1010,7 @@
 }
 
 /* authenticateDigestUsername: return a pointer to the username in the */
-char *
+static char *
 authenticateDigestUsername(auth_user_t * auth_user)
 {
     digest_user_h *digest_user = auth_user->scheme_data;
@@ -1013,7 +1020,7 @@
 }
 
 /* setup the necessary info to log the username */
-void
+static void
 authDigestLogUsername(auth_user_request_t * auth_user_request, char *username)
 {
     auth_user_t *auth_user;
@@ -1202,7 +1209,7 @@
 	return;
     }
     /* we can't check the URI just yet. We'll check it in the
-    authenticate phase */
+     * authenticate phase */
 
     /* is the response the correct length? */
 
@@ -1279,7 +1286,7 @@
 	/* set the user type */
 	auth_user->auth_type = AUTH_DIGEST;
 	/* this auth_user struct is the one to get added to the
-	username cache */
+	 * username cache */
 	/* store user in hash's */
 	authenticateUserNameCacheAdd(auth_user);
 	/* 
